// Open SanAndreas 
// (c) 2006-2008 Stanislav "listener" Golovin
//
// particles and graphics effects
#include "stdafx.h"
#include "ogMath.h"
#include "ogHud.h"
#include "ogFX.h"

CParticleData * particleData = (CParticleData *)0xA9AE80;

void * CParticleData::findDataByName (char * name) {
	DWORD hash = crc32FromUpcaseString ((BYTE *)name);
	for (ParticleList * list = _f0.ptr; list; list = list->next)
		if (list->hash == hash)
			return list;
	debug ("Cannot Find Fx System Blueprint - %s\n", name);
	return NULL;
}
